Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.

Upgrade sa apache 1 na apache 2?

[es] :: Linux :: Upgrade sa apache 1 na apache 2?

[ Pregleda: 2283 | Odgovora: 2 ] > FB > Twit

Postavi temu Odgovori

Autor

Pretraga teme: Traži
Markiranje Štampanje RSS

Elza

Član broj: 14016
Poruke: 391
*.tel.net.ba.



Profil

icon Upgrade sa apache 1 na apache 2?29.09.2006. u 10:43 - pre 171 meseci
Imam instaliran već Apache/1.3.34 i PHP/4.3.10 . Već odavno je izašla druga najnovija verzija apache 2.2.3 poslije apache-a 2.0.59, a i php5.

Pri configure je bilo sljedeće:

./configure --with-mysql=/usr/local/mysql --with-xml --enable-track-vars --with-apache=../apache_1.3.34 --with-gd --with-jpeg-dir=/usr/lib --with-zlib-dir=/usr/local/lib --with-png-dir=/usr/local/lib

Čitam dokumentaciju pa se ne snalazim najbolje?

Ima li tko neki savjet vezano za upgrade koji je značajno pripomenuti?

 
Odgovor na temu

mrki
radnik
Sombor

Član broj: 1050
Poruke: 580
89.216.234.*

Jabber: mrki@elitesecurity.org
ICQ: 58816584


Profil

icon Re: Upgrade sa apache 1 na apache 2?03.10.2006. u 15:26 - pre 171 meseci
evo da ti i ovo pitanje ne ostane bez odgovora:
Kad napravis upgrade na poslednju verziju
prosto ukljucis podrsku za ono sta ti treba, odnosno sta ce skripte da koriste, ako recimo ne korsiti postgress sto bi ti trebala podrska za isti.
A u principu uvek ti ostaje opcija da prosiris modul (rekompajliras) kad god se za to ukaze potreba
Nekad sam bio mlad ;)
 
Odgovor na temu

Elza

Član broj: 14016
Poruke: 391
*.tel.net.ba.



Profil

icon Re: Upgrade sa apache 1 na apache 2?12.10.2006. u 14:57 - pre 170 meseci
Evo instalirala konačno i Apache 2 sa php-4.4.4 .

Sve ok, sve radi. Par stranica sam probala, naizgled ok.

Uradila ovako:

cd httpd-2.2.3
./configure --enable-so
make
make install
cd php-4.4.4
./configure --apxs2=/usr/local/apache2/bin/apxs --with-mysql=/usr/local/mysql --with-xml --enable-track-vars --with-apache=../apache_1.3.33 --with-gd --with-jpeg --with-zlib-dir=/usr/local --with-png-dir=/usr/local
make
make install
cp php.ini-dist /usr/local/lib/php.ini

dodala u httpd.conf

LoadModule php4_module modules/libphp4.so

AddType application/x-httpd-php .php .phtml

AddType application/x-httpd-php-source .phps
Srdeila još malo httpd.conf.

Potom podigla apache, zasad vidim ok.

Medjutim, malo se recimo httpd.conf razlikuje od prethodne za Apache 1.
Recimo ovdje su Virtual host npr. smješteni u posebnu datoteku u drugom direktoriju conf/extra/httpd-vhosts.conf
, s tim da se mora uključiti tj. odkomentirati ova opcija u httpd.conf.

Medjutim, nije mi jasna opcija za uključenje tj. podrška za jezike.(ako sam to dobro shvatila)
Ovo je u datoteci conf/extra/httpd-languages.conf (prije toga sam naravno otkomentirala u httpd.conf, tj. da se ta datoteka uključuje)
Kad se pogleda sadržaj datoteke httpd-languages.conf zakomentirano u njoj stoji da "Required modules: mod_mime, mod_negotiation"
Al kad se pogleda httpd.conf vidi se da nigdje nema ni mod_mime ni mod_negotiation.
Jesu li ti moduli već po defaultu uključeni u DSo tj. Apache 2 ili ih ja možda kao u Apache1 moram u httpd.conf dodati kao
npr. <IfModule mod_negotiation.c>
LanguagePriority en da nl et fr de el it ja kr no pl pt pt-br ru ltz ca es sv tw
</IfModule>

Koji su moduli u biti po defaultu uključeni u Apache2??






















 
Odgovor na temu

[es] :: Linux :: Upgrade sa apache 1 na apache 2?

[ Pregleda: 2283 | Odgovora: 2 ] > FB > Twit

Postavi temu Odgovori

Navigacija
Lista poslednjih: 16, 32, 64, 128 poruka.